package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.LbTargetGroupModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

import java.util.Map;

/**
 * 负载均衡-目标群组
 */
public interface TargetGroupProvider extends SuperProvider {
    /**
     * 目标群组列表
     *
     * @return
     */
    default BocloudResult list() {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult create(LbTargetGroupModel model) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult delete(String targetGroupArn) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult detail(String targetGroupArn) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult registerTargets(String targetGroupArn, Map<String, Integer> targetIdPorts) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult deregisterTargets(String targetGroupArn, Map<String, Integer> targetIdPorts) {
        return new BocloudResult(false, "暂未开发！");
    }
}
